****************************************************************************
* Project:	ultraDev
* Module:	automatic resetter example
* Code:		ultra
* Created:	23.12.2019
* Notes:	Example how to use the resetter inserter code to preform a reset
*			when needed. When you upload a new prg-file the atari needs to be
*			resetted.
*			Keep in mind you need to do the first reset and if your atari
*			crashes you need to reset it too;)
* Modified:
* Changes:
*
* (c) 2019 cream
****************************************************************************
	jmp		start

****************************************************************************
	include "UDAll.s"

****************************************************************************
start:
	pea		prg(pc)
	move.w	#$0026,-(sp)
	trap	#$0e
	adda.l	#6,sp
	rts

****************************************************************************
prg:
	// just call this routine periodically 
	bsr		UDResetCheck
	bra		prg

****************************************************************************
